# UntrackMe [![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0) [![Crowdin](https://badges.crowdin.net/nitterizeme/localized.svg)](https://crowdin.com/project/nitterizeme)  [![pipeline status](https://framagit.org/tom79/nitterizeme/badges/develop/pipeline.svg)](https://framagit.org/tom79/nitterizeme/commits/develop)

UntrackMe once set by default to open Twitter and YouTube links will transform them into Nitter and Invidious links and delegate the action to another app.

There are two versions of UntrackMe - Once handling all URLs for removing tracking parameters - Another one called "UntrackMe Lite" that will only handle Twitter, Youtube, Instagram, Google Maps and shortened URLs.


## Donate

[<img alt="Donate using Liberapay" src="http://img.shields.io/liberapay/patrons/tom79.svg?logo=liberapay"/>](https://liberapay.com/tom79/donate)

## Download

Full version: [<img alt='Get it on F-Droid' src='./images/get-it-on-fdroid.png' height="80"/>](https://f-droid.org/app/app.fedilab.nitterizeme)

Lite version: [<img alt='Get it on F-Droid' src='./images/get-it-on-fdroid.png' height="80"/>](https://f-droid.org/app/app.fedilab.nitterizemelite)


### What is Nitter:

A free and open source alternative Twitter front-end focused on privacy.
Github project: [/zedeus/nitter](https://github.com/zedeus/nitter)


### What is Invidious:

A free and open source alternative front-end to YouTube
Github project: [/omarroth/invidious](https://github.com/omarroth/invidious)

### What is Bibliogram:

A free and open source alternative front-end to Instagram
Github project: [/cloudrac3r/bibliogram](https://github.com/cloudrac3r/bibliogram)

### Screenshots:

![A simple interface to cusomize instances](./images/img1.png) ![Clicking on app will open settings](./images/img2.png)  ![You can get latencies for instances and pick up them here](./images/img3.png)

 ![A YouTube link received via a text message](./images/img4.png) ![The app handled and transformed it before delegating the action](./images/img5.png) ![The app opened the transformed link](./images/img6.png)


### Going further

#### Invidition
For a full coverage with URLs, you can use FireFox with the [Invidition](https://addons.mozilla.org/fr/firefox/addon/invidition/) plugin from [@booteille](https://framapiaf.org/@booteille).

Source code of [Invidition on Godeberg](https://codeberg.org/Booteille/invidition)

#### Privacy Redirect

A web extension from [@SimonBrazell](https://github.com/SimonBrazell) that redirects Twitter, YouTube, Instagram & Google Maps requests to privacy friendly alternatives - Nitter, Invidious, FreeTube, Bibliogram & OpenStreetMap.

Source code of [Privacy Redirect](https://github.com/SimonBrazell/privacy-redirect)